Install .NET SDK

Install .NET SDK

You can use Box .NET SDK to call Box APIs in a .NET project.

The SDK is available for both .NET Framework 4.5 and .NET Core 1.0 or above. The installation of the SDK depends on the framework used.

Learn more about .NET SDK on GitHub

.NET Framework

To install the .NET SDK in the .NET framework, run the following command using the Nuget package manager.

PM> Install-Package Box.V2

.NET Core

To install the .NET SDK in the .NET Core framework, run the following command using the Nuget package manager.

PM> Install-Package Box.V2.Core